<div class="article-wrapper mt-3">
  <div class="d-grid d-md-flex justify-content-md-between">
    <h2>All Articles</h2>

    <!-- @Input() - Square Brackets - [] -->
    <!-- @Output() - Parentheses - () -->
    <div class="search-wrapper mb-3">
      <app-search-form
        [searchFields]="articleFields"
        [searchFormvalue]="searchForm"
        (submitSearch)="findByType($event)"
        (searchTextChange)="onKeyup($event)"
      ></app-search-form>
    </div>

    <button
      type="button"
      class="btn btn-success mb-3"
      data-bs-toggle="modal"
      data-bs-target="#exampleModal"
      (click)="showArticleForm(null)"
    >
      Create Article
    </button>
  </div>

  <app-article-card
    [articleList]="articles"
    [isArticleModalShown]="isArticleModalShown"
    (articleEdit)="showArticleForm($event)"
  ></app-article-card>
</div>

<div class="article-modal-form" *ngIf="isArticleModalShown">
  <app-article-form
    [formData]="formData"
    (hideModal)="hideModal()"
    (submitArticle)="onSubmit($event)"
  ></app-article-form>
</div>
